Skip to main content
`Ctrl`+`K`

# PetscDAGetNDOF

Get the number of degrees of freedom per grid point

## Synopsis

    PetscErrorCode PetscDAGetNDOF(PetscDA da, PetscInt *ndof)

Not Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameter

- ndof - number of degrees of freedom per grid point

## See Also

`PetscDA`, `PetscDASetNDOF()`

## Level

intermediate

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages